Name:           i2c-tools
Version:        4.2
Release:        %mkrel 1
Summary:        Heterogeneous set of I2C tools for Linux
Group:          System/Kernel and hardware
License:        GPL
URL:            https://i2c.wiki.kernel.org/index.php/I2C_Tools
Source0:        https://www.kernel.org/pub/software/utils/i2c-tools/%{name}-%{version}.tar.xz

Conflicts:      lm_sensors < 3.0.0
Requires:       udev

%description
This package contains a heterogeneous set of I2C tools for Linux: a bus
probing tool, a chip dumper, register-level access helpers, EEPROM
decoding scripts, and more.

%package eepromer
Summary:        Programs for reading/writing i2c/smbus eeproms
Group:          System/Kernel and hardware
Requires:       %{name} = %{version}-%{release}

%description eepromer
Programs for reading/writing i2c/smbus eeproms. Notice that writing the
eeproms in your system is very dangerous and is likely to render your system
unusable. Do not install, let alone use this, unless you really, _really_ know
what you are doing.

%package -n python-smbus
Summary:	Python module for SMBus access via I2C
Group:		System/Kernel and hardware
BuildRequires:	python
BuildRequires:	python-setuptools
Requires:	python

%description -n python-smbus
This Python module allows SMBus access through the I2C /dev interface
on Linux hosts. The host kernel must have I2C support, I2C device
interface support, and a bus adapter driver.

%package -n python3-smbus
Summary:	Python 3 module for SMBus access via I2C
Group:		System/Kernel and hardware
BuildRequires:	python3
BuildRequires:	python3-setuptools
Requires:	python3

%description -n python3-smbus
This Python 3 module allows SMBus access through the I2C /dev interface
on Linux hosts. The host kernel must have I2C support, I2C device
interface support, and a bus adapter driver.

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

pushd eepromer
%make_build CFLAGS="%{optflags} -I../include" LDFLAGS="%{ldflags}"
popd

pushd py-smbus
%py2_build
%py3_build
popd

%install
%make_install PREFIX=%{_prefix} libdir=%{_libdir} BUILD_STATIC_LIB=0 EXTRA=eeprog

install -m 0755 eepromer/eeprom eepromer/eepromer %{buildroot}%{_sbindir}
install -m 0644 eepromer/eeprom.8 eepromer/eepromer.8 %{buildroot}%{_mandir}/man8

pushd py-smbus
%py2_install
%py3_install
popd

%files
%defattr(0644,root,root,0755)
%doc CHANGES COPYING README
%attr(660,root,root) %dev(c,89,0) /lib/udev/devices/i2c-0
%attr(660,root,root) %dev(c,89,0) /lib/udev/devices/i2c-1
%attr(660,root,root) %dev(c,89,0) /lib/udev/devices/i2c-2
%attr(660,root,root) %dev(c,89,0) /lib/udev/devices/i2c-3
%exclude %{_sbindir}/eeprog
%exclude %{_sbindir}/eeprom
%exclude %{_sbindir}/eepromer
%attr(0755,root,root) %{_bindir}/ddcmon
%attr(0755,root,root) %{_bindir}/decode-dimms
%attr(0755,root,root) %{_bindir}/decode-edid
%attr(0755,root,root) %{_bindir}/decode-vaio
%attr(0755,root,root) %{_sbindir}/i2cdetect
%attr(0755,root,root) %{_sbindir}/i2cdump
%attr(0755,root,root) %{_sbindir}/i2cget
%attr(0755,root,root) %{_sbindir}/i2cset
%attr(0755,root,root) %{_sbindir}/i2c-stub-from-dump
%{_mandir}/man1/decode-dimms.1*
%{_mandir}/man1/decode-vaio.1*
%{_mandir}/man3/libi2c.3.bz2
%{_mandir}/man8/i2cdetect.8*
%{_mandir}/man8/i2cdump.8*
%{_mandir}/man8/i2cget.8*
%{_mandir}/man8/i2cset.8*
%{_mandir}/man8/i2ctransfer.8*
%{_mandir}/man8/i2c-stub-from-dump.8*
%{_includedir}/i2c/smbus.h
%{_libdir}/libi2c.so*
%{_sbindir}/i2ctransfer

%files eepromer
%defattr(0644,root,root,0755)
%doc eeprog/README.eeprog
%attr(0755,root,root) %{_sbindir}/eeprog
%attr(0755,root,root) %{_sbindir}/eeprom
%attr(0755,root,root) %{_sbindir}/eepromer
%{_mandir}/man8/eepro*.8*

%files -n python-smbus
%defattr(0644,root,root,0755)
%doc py-smbus/README
%{py_platsitedir}/smbus*

%files -n python3-smbus
%doc py-smbus/README
%{python3_sitearch}/smbus*

%changelog
* Wed Aug 16 2022 TerryN <terryn94 at gmail.com> 4.2-1pclos2022
- update and rebuild for python 3.10

* Sat Mar 9 2019 pckg <pckg at email.cz> 4.1-1pclos2019
- update
- added python3 deps for python3 package

* Sat Sep 04 2010 Texstar <texstar at gmail.com> 3.0.2-2pclos2010
- rebuild

* Sat Sep 19 2009 pcserver <pcserver at hush.com> 3.0.2-1pclos2009
- import into pclos from mdv

